// JScript 文件

//选择产品类型,设置产品类型价格
function chooseTheFlowers(obj,buyColors,BuyFlower,myprice,cname,mt,prrid,id)
{

   var price=0;
   $('BuyNum').options.length = 0; 
   if(obj>='shr1'|| obj<='shr90' ){
		Price=myprice;
  
   }

   

   if(obj=='shr180'){
		for(var i=0; i<11;i++)
		{
			var varItem = new Option(i+'寸',i);
			$('BuyNum').options.add(varItem);
			i++
		}	
		$('BuyObj').value='dankao';

   }else{
		for(var i=1; i<11;i++)
		{
			var varItem = new Option(i+'',i);
			$('BuyNum').options.add(varItem);
		}

		//$('BuyNum').options[0].selectedIndex
		$('BuyNum').options[0].selected = true;			
		$('BuyObj').value='flower';
		
		
   }
   

   //设置产品类型价格
   $('BuyPrice').value=Price;
   //选中产品类型
       
     for(var i=1;i<= mt;i++){
	  $('colors'+i).className='';
   }
    $(buyColors).className='current';
   
  
         $(buyColors).className='current';
 
	$('BuyFlower1').innerHTML="名称："+BuyFlower;
 
	//$('BuyFlower').innerHTML=BuyFlower;	

	$('baseName').value=BuyFlower;
         $('prid_'+id).value=prrid;
           
        
	//$('SumMoney').style.display='none';
}
//选择产品类型,设置产品类型价格
function chooseBuyNum()
{
	

	var catrSum=0;
	var catrPrice=0;
	var catrBasePrice=0;
	catrPrice=$('BuyPrice').value
        id=$('id').value
	catrBasePrice=$('basePrice').value
	if(catrPrice==''){
		alert('请选择需要添加的材料');
		$('BuyNum').options[5].selected = true;
		return;
	}
	
	catrNum=$('BuyNum').options[$('BuyNum').selectedIndex].value;
	//alert(BuySum);
	catrSum=catrBasePrice*catrNum;	
	//if(catrSum<1){
	if((parseInt(catrBasePrice)+catrPrice*catrNum)<1){	
		alert('花材价格,不能低于1元');
		$('BuyNum').options[5].selected = true;
		$('SumMoney').style.display='none';
		return;
	}
       
	$('SumMoney').style.display='';
	$('SumMoney').innerHTML='<strong>小计：</strong><em >￥'+catrSum+'</em><input type="hidden" name="BuyNum_'+id+'" id="BuyNum_'+id+'" value="'+catrNum+'" />';
	
}




function SwitchtoSize(cakeSize)
{
	
 
	if($('cakeLayer').value>1){
		alert("多层蛋糕，不能自定义尺寸。");
		return;
	}
	
	var cakeNum=0;
	var catrPrice=0;
	var catrBasePrice=0;
        var cakeprice1=0
         t=$("p").value;
         id=$('ppid').value;
	//设置当成点击为选中
	$("colors"+cakeSize).className='cakeSiteCurrent';
	//撤消除当前点击以外的选中状态
	for(var i=0;i<t;i++){
		if(i!=cakeSize){
			$("colors"+i).className='cakeSite';
                       
		}
                else{
			$("prid_"+id).value=$("pprid"+i).value;
                        cakeprice1=$("cakePrice"+i).value;
		}

	}
         
	//蛋糕基础价格
        prid=$("prid_"+id).value
	catrPrice=$('BasePrice').value;
	var cakeMkPrice=$('cakeMkPrice').value;
	cakeNum=Math.round($('cakePrice').value);
	
	//计算当前选中尺寸的价格
	catrBasePrice=Math.round(catrPrice)+cakeSize;
	cakeMkPrice=Math.round(catrPrice)+cakeNum*cakeSize;
	//更新售价为当前选中尺寸的价格

	$('myPrice').innerHTML=''+cakeprice1+'';
	/*$('mkPrice').innerHTML='<del>￥'+cakeMkPrice+'</del>';
        $('BuyPrice').value=$('cakePrice').value
        $('cakeMkPrice').value=$('cakePrice').value
	$('BuyNum').value = cakeSize; 
	$('BuyObj').value='dankao';
	$('baseName').value='蛋糕';*/
	/*if(prid==''){
		alert('请选择需要添加的材料');
		return;
	}
	*/
/*	catrNum=$('BuyNum').options[$('BuyNum').selectedIndex].value;
	//alert(BuySum);
	catrSum=catrPrice*catrNum;	
	//if(catrSum<100){
	if((parseInt(catrBasePrice)+catrPrice*catrNum)<100){	
		alert('花材价格,不能低于100元');
		$('BuyNum').options[5].selected = true;
		$('SumMoney').style.display='none';
		return;
	}*/
	/*$('SumMoney').style.display='';
	$('SumMoney').innerHTML='￥'+catrSum+'元';*/
	
}


function choosepcolor(pcolorid)
{	
        var  pcolorid
         t2i=$('pid_2_t2').value;
	
	//设置当成点击为选中
	$("pcolors"+pcolorid).className='pcolorCurrent';
	//撤消除当前点击以外的选中状态
	for(var i=0;i<t2i;i++){
		if(i!=pcolorid){
			$("pcolors"+i).className='pcolor';
                       
		}
                else{
			$("pcolors"+i).className='pcolorCurrent';
                       $("pid_2_"+i).checked='true';
                        
		}
	}
       }  
	
function choosesizecolor(sizecolorid)
{	
         var  sizecolorid
         t3i=$('pid_3_t3').value;
	
	//设置当成点击为选中
	$("sizecolors"+sizecolorid).className='sizecolorCurrent';
	//撤消除当前点击以外的选中状态
	for(var i=0;i<t3i;i++){
		if(i!=sizecolorid){
			$("sizecolors"+i).className='sizecolor';
                       
		}
                else{
			$("sizecolors"+i).className='sizecolorCurrent';
                       $("pid_3_"+i).checked='true';
                        
		}
	}
       }  
	
function choosejxcolor(jxcolorid)
{	
         var  jxcolorid
         t4i=$('pid_4_t4').value;
	
	//设置当成点击为选中
	$("jxcolors"+jxcolorid).className='jxcolorCurrent';
	//撤消除当前点击以外的选中状态
	for(var i=0;i<t4i;i++){
		if(i!=jxcolorid){
			$("jxcolors"+i).className='jxcolor';
                       
		}
                else{
			$("jxcolors"+i).className='jxcolorCurrent';
                       $("pid_4_"+i).checked='true';
                        
		}
	}
       }  

function choosetccolor(tccolorid)
{	
         var  tccolorid
         t5i=$('pid_5_t5').value;
	
	//设置当成点击为选中
	$("tccolors"+tccolorid).className='tccolorCurrent';
	//撤消除当前点击以外的选中状态
	for(var i=0;i<t5i;i++){
		if(i!=tccolorid){
			$("tccolors"+i).className='tccolor';
                       
		}
                else{
			$("tccolors"+i).className='tccolorCurrent';
                       $("pid_5_"+i).checked='true';
                         pprice=$("proprice"+i).value;
		}
	}
       
      
      $('basePrice').value=pprice
     

       }  
	
//-->